Sound: Filter (gammatone)...

A command to filter a Sound by a fourth-order gammatone bandpass filter.

## Settings

Centre frequency (Hz), Bandwidth (Hz)
  determine the passband of the filter.

## Algorithm

The impulse response of the filter is a 4-th order gammatone. The filter is implemented as the convolution of the gammatone with the sound. The gain of the filter is scaled to unity at the centre frequency.

## Remark

The old implementation with a simple 8-th order recursive digital filter with 4 zeros and 8 poles (these 8 poles consist of one conjugate pole pair to the 4-th power) as suggested by Slaney (1993) was not stable for low frequencies.